diff --git a/gnu/packages/file-systems.scm b/gnu/packages/file-systems.scm
index dd72152c51..c8d881e542 100644
--- a/gnu/packages/file-systems.scm
+++ b/gnu/packages/file-systems.scm
@@ -36,6 +36,7 @@
   #:use-module (gnu packages acl)
   #:use-module (gnu packages attr)
   #:use-module (gnu packages autotools)
+  #:use-module (gnu packages base)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
@@ -57,6 +58,7 @@
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages readline)
   #:use-module (gnu packages rsync)
+  #:use-module (gnu packages sssd)
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages valgrind)
@@ -782,3 +784,78 @@ directory onto a single drive and create FreeDesktop.org Trash specification
 compatible directories.")
       (home-page "https://github.com/trapexit/mergerfs-tools")
       (license license:isc))))
+
+(define-public autofs
+  (package
+    (name "autofs")
+    (version "5.1.6")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://mirrors.edge.kernel.org/pub/linux/daemons/autofs/v"
+                    (version-major version) "/autofs-" version ".tar.xz"))
+              (sha256
+               (base32
+                "1vya21mb4izj3khcr3flibv7xc15vvx2v0rjfk5yd31qnzcy7pnx"))))
+    (build-system gnu-build-system)
+    (inputs `(("util-linux" ,util-linux)
+              ("nfs-utils" ,nfs-utils)
+              ("kmod" ,kmod)
+              ("e2fsprogs" ,e2fsprogs)
+              ("sssd" ,sssd)
+              ("linux-headers" ,linux-libre-headers)
+              ("libtirpc", libtirpc)
+              ("binutils" ,binutils)
+              ("rpcsvc-proto" ,rpcsvc-proto) ;for 'rpcgen'
+              ("libxml2" ,libxml2)))
+    (native-inputs
+     `(("flex" ,flex)
+       ("bison" ,bison)
+       ("pkg-config" ,pkg-config)))
+    (arguments
+     `(#:tests? #f ; no tests
+       #:validate-runpath? #f
+       #:configure-flags '("--enable-force-shutdown" "--with-path=$PATH"
+                           "--enable-ignore-busy")
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'configure 'pre-configure
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (setenv "exportsssldir" (string-append (assoc-ref inputs "sssd")
+                                                    "/lib/sssd/modules"))
+             (setenv "HAVE_SSS_AUTOFS" "1")
+             (setenv "YACC" (string-append (assoc-ref inputs "bison")
+                                           "/bin/yacc"))
+             (setenv "RANLIB" (string-append (assoc-ref inputs "binutils")
+                                             "/bin/ranlib"))
+             (setenv "RPCGEN" (string-append (assoc-ref inputs "rpcsvc-proto")
+                                             "/bin/rpcgen"))
+             (setenv "LEX" (string-append (assoc-ref inputs "flex")
+                                          "/bin/flex"))
+             (setenv "MOUNT" (string-append (assoc-ref inputs "util-linux")
+                                            "/bin/mount"))
+             (setenv "MOUNT_NFS" (string-append (assoc-ref inputs "nfs-utils")
+                                                "/sbin/mount.nfs"))
+             (setenv "UMOUNT" (string-append (assoc-ref inputs "util-linux")
+                                             "/bin/umount"))
+             (setenv "MODPROBE" (string-append (assoc-ref inputs "kmod")
+                                               "/bin/modprobe"))
+             (setenv "E2FSCK" (string-append (assoc-ref inputs "e2fsprogs")
+                                             "/sbin/fsck.ext2"))
+             (setenv "E3FSCK" (string-append (assoc-ref inputs "e2fsprogs")
+                                             "/sbin/fsck.ext3"))
+             (setenv "E4FSCK" (string-append (assoc-ref inputs "e2fsprogs")
+                                             "/sbin/fsck.ext4"))
+             ;; Allow <rpc/rpc.h> & co. to be found.
+             (setenv "CPATH" (string-append (assoc-ref inputs "libtirpc")
+                                            "/include/tirpc"))
+             ;; Makefile.rules defines a usable STRIP only without the env var.
+             (unsetenv "STRIP")
+             #t)))))
+    (home-page "https://www.kernel.org/pub/linux/daemons/autofs/")
+    (synopsis "Kernel-based automounter")
+    (description "Autofs controls the operation of the automount daemons.  The
+automount daemons automatically mount filesystems when they are used and
+unmount them after a period of inactivity.  This is done based on a set of
+pre-configured maps.")
+    (license license:gpl2)))